From e619e8adcd4fdb04adb8a6b0379fc27491e0bc57 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 13 2017 13:43:02 +0000
Subject: [PATCH 42/51] return a non-zero exit code on warnings, errors


---

diff --git a/src/_fedmod/cli.py b/src/_fedmod/cli.py
index 0f93574..8ecc1b5 100644
--- a/src/_fedmod/cli.py
+++ b/src/_fedmod/cli.py
@@ -142,4 +142,4 @@ def rpms_from_srpm(pkg):
 def lint(modulemd, min_level):
     """Validates a given modulemd YAML file"""
     linter = mmdl.ModuleMDLinter(modulemd_path=modulemd)
-    linter.lint(min_level=min_level)
+    return linter.lint(min_level=min_level)
diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 596a579..a1892b7 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -266,6 +266,8 @@ class ModuleMDLinter(object):
             if i < len(flagged) - 1:
                 print()
 
+        return any(lambda x: x[0] not in ('option', 'info') for x in flagged)
+
     def check_true(self, expr):
         """Check that a value is True or true-like."""
         if not expr:

